package org.xyzh.common.dto.menu;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description    TbSysMenuPermission.java文件描述 菜单权限信息
 * @filename    TbSysMenuPermission.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-16
 */
public class TbSysMenuPermission extends BaseDTO{
    private static final long serialVersionUID = 1L;

    /**
     * @description    菜单ID
     * @author    yslg
     * @since 2024-06
     */
    private String menuID;

    /**
     * @description    权限ID
     * @author    yslg
     * @since 2024-06
     */
    private String permissionID;

    /**
     * @description    创建人
     * @author    yslg
     * @since 2024-06
     */
    private String creator;

    /**
     * @description    更新人
     * @author    yslg
     * @since 2024-06
     */
    private String updater;

    public String getMenuID() {
        return menuID;
    }

    public void setMenuID(String menuID) {
        this.menuID = menuID;
    }

    public String getPermissionID() {
        return permissionID;
    }

    public void setPermissionID(String permissionID) {
        this.permissionID = permissionID;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    @Override
    public String toString() {
        return "TbSysMenuPermission{" +
                "id='" + getID() + '\'' +
                ", menuID='" + menuID + '\'' +
                ", permissionID='" + permissionID + '\'' +
                ", creator='" + creator + '\'' +
                ", updater='" + updater + '\'' +
                ", createTime=" + getCreateTime() +
                ", updateTime=" + getUpdateTime() +
                ", deleteTime=" + getDeleteTime() +
                ", deleted=" + getDeleted() +
                '}';
    }
    
}
